Name:           perl-XML-Merge 
Version:        1.2.565EgGd
Release:        9%{?dist}
Summary:        Flexibly merge XML documents

Group:          Development/Libraries
License:        GPLv2
URL:            http://search.cpan.org/dist/XML-Merge/
Source0:        http://search.cpan.org/CPAN/authors/id/P/PI/PIP/XML-Merge-%{version}.tgz
Patch1:         perl-XML-Merge-makefile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch 
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(XML::Tidy)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module inherits from XML::Tidy which in turn inherits from XML::XPath.
This ensures that Merge objects' indenting can be tidied up after any merge
operation since such modification usually spells the ruination of indentation.
Polymorphism allows Merge objects to be utilized as normal XML::XPath objects
as well.
The merging behavior is setup to combine separate XML documents according to
certain rules and configurable options. If both documents have root nodes which
are elements of the same name, the documents are merged directly. Otherwise,
one is merged as a child of the other. An optional XPath location can be
specified as the place to perform the merge. If no location is specified, the
merge is attempted at the first matching element or is appended as the new last
child of the other root if no match is found.


%prep
%setup -q -n XML-Merge-%{version}
%patch1 -p0


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README
%{perl_vendorlib}/*
%{_mandir}/man3/XML::Merge.3pm.gz


%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.565EgGd-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 23 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.2.565EgGd-8
- 661697 rebuild for fixing problems with vendorach/lib

* Fri May 07 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.2.565EgGd-7
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.2.565EgGd-6
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.565EgGd-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.565EgGd-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.2.565EgGd-3
Rebuild for new perl

* Sat Dec 22 2007 Xavier Bachelot <xavier@bachelot.org> - 1.2.565EgGd-2
- Clean up spec.

* Thu Aug 30 2007 Xavier Bachelot <xavier@bachelot.org> - 1.2.565EgGd-1
- Initial build.
